<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="assets/css/bootstrap-v4.6.0/bootstrap.min.css">
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet">
    <link href="assets/css/owl.theme.default.min.css" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">
    <script src="js/dirPagination.js"></script>

    <script src="js/urlsettings.js"></script>
    <style>
      .bgweight {
    background: #ffffff;
}
.page-content {
   
    display: flex;
   
    flex-grow: 1;

    
    padding: 1.25rem .625rem;
}
.content-wrapper {
   
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
  
    flex: 1;
    overflow: auto;
}
.content {
    /* -ms-flex-positive: 1; */
    flex-grow: 1;
    margin-left: .625rem;
    margin-right: .625rem;
}
.card.card-plain {
    border: 0px;
    box-shadow: none;
}
.card-header:not([class*=bg-]):not([class*=alpha-]) {
    background-color: transparent;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    border-bottom-width: 0;
}
.card-header:first-child {
    border-radius: .125rem .125rem 0 0;
}
.header-elements-inline {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
}
.card-header {
    padding: .9375rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(0,0,0,.02);
    border-bottom: 1px solid rgba(0,0,0,.125);
}
.card-title-2 {
    font-size: 1.5rem;
    color: #5a5a5a;
    font-weight: 300;
    line-height: 2rem;
    margin: 0;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    letter-spacing: -.015em;
}
.card-title-2 span {
    font-size: 2.5rem;
    color: #111111;
    font-weight: 800;
    display: block;
}
.card-header:not([class*=bg-]):not([class*=alpha-])+*>.card-body:first-child, .card-header:not([class*=bg-]):not([class*=alpha-])+.card-body {
    padding-top: 0;
}
.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
}
.datatable-footer>div:first-child, .datatable-header>div:first-child {
    margin-left: 0;
}
.dataTables_filter {
    position: relative;
    display: block;
    float: left;
    margin: 0 0 1.25rem 1.25rem;
}
.dataTables_filter>label {
    margin-bottom: 0;
    position: relative;
}
label {
    display: inline-block;
    margin-bottom: .5rem;
}
.dataTables_filter input {
    outline: 0;
    width: 12.5rem;
    padding: .4375rem .875rem;
    padding-right: 2rem;
    font-size: .8125rem;
    line-height: 1.5385;
    color: #333;
    background-color: #fff;
}
.dataTables_length {
    float: right;
    display: inline-block;
    margin: 0 0 1.25rem 1.25rem;
}
.dataTables_length>label {
    margin-bottom: 0;
}
label {
    display: inline-block;
    margin-bottom: .5rem;
}
.dataTables_length>label>span:first-child {
    float: left;
    margin: .5rem .83333rem;
    margin-left: -50px;
}
.uniform-select {
    position: relative;
    display: block;
    width: 100%;
    height: calc(1.5385em + .875rem + 2px);
    padding: .4375rem .875rem;
    font-size: .8125rem;
    line-height: 1.5385;
    color: #333;
    background-color: #fff;
    border: 2px solid #b6bcc1;
    border-radius: .4rem;
    transition: all ease-in-out .15s;
}
.uniform-select span {
    display: block;
    position: relative;
    text-align: left;
    padding-right: 1.875rem;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.dataTables_length select {
    height: calc(1.5385em + .875rem + 2px);
    padding: .4375rem .875rem;
    font-size: .8125rem;
    line-height: 1.5385;
    color: #333;
    background-color: #fff;
    border: 1px solid #ddd;
    outline: 0;
}
.uniform-select select {
    width: 100%;
    margin-top: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    height: calc(1.5385em + .875rem + 2px);
    border: 0;
    cursor: pointer;
    z-index: 10;
    opacity: 0;
}
select {
    word-wrap: normal;
}
.dataTable {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}
.dataTable {
    margin: 0;
    max-width: none;
}
.table {
    width: 100%;
  
    color: #333;
}
table {
    border-collapse: collapse;
}.table caption+thead tr:first-child td, .table caption+thead tr:first-child th, .table colgroup+thead tr:first-child td, .table colgroup+thead tr:first-child th, .table thead:first-child tr:first-child td, .table thead:first-child tr:first-child th {
    border-top-width: 0;
}
.table thead th {
    vertical-align: middle;
    border-bottom: 1px solid #b7b7b7;
}
.dataTable th {
    background: #2290b1;
    color: #ffffff;
}
.table th {
    font-weight: 500;
}
.table td, .table th {
    padding: .75rem 1.25rem;
    vertical-align: top;
    border-top: 1px solid #ddd;
}
.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0,0,0,.02);
}
.card-body>.dataTables_wrapper .datatable-footer {
    border-top: 0;
}
.card-body .datatable-footer, .card-body .datatable-header {
    padding-left: 0;
    padding-right: 0;
}
.datatable-footer {
    padding: 1.25rem 0 0 0;
}
.dataTables_info {
    float: left;
    padding: .4375rem 0;
    margin-bottom: 1.25rem;
}
.dataTables_paginate {
    border: 1px solid #ddd;
    border-radius: .1875rem;
}
.dataTables_paginate {
    float: right;
    text-align: right;
    margin: 0 0 1.25rem 1.25rem;
}
.dataTables_paginate .paginate_button.disabled, .dataTables_paginate .paginate_button.disabled:focus, .dataTables_paginate .paginate_button.disabled:hover {
    cursor: default;
    background-color: transparent;
    color: #ccc;
}
.dataTables_paginate .paginate_button:first-child {
    margin-left: 0;
}
.dataTables_paginate .paginate_button {
    display: inline-block;
    padding: .3275rem;
    min-width: 2.25003rem;
    margin-left: .125rem;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    color: #333;
    outline: 0;
    border: 1px solid transparent;
    /* border-radius: .1875rem; */
    transition: all ease-in-out .15s;
}
.dataTables_paginate .paginate_button.current, .dataTables_paginate .paginate_button.current:focus, .dataTables_paginate .paginate_button.current:hover {
    color: #fff;
    background-color: #2195c4;
}
body {
    margin: 0;
    font-family: Roboto,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5385;
    color: #333;
    text-align: left;
    background-color: #f5f5f5;
}
.dataTables_filter>label:after {
    background-image: url('search-solid.svg');
    font-family: icomoon;
    font-size: .75rem;
    display: inline-block;
    position: absolute;
    top: 50%;
    right: .875rem;
    margin-top: -.375rem;
    line-height: 1;
    opacity: .5;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.dataTables_filter input {
    outline: 0;
    width: 12.5rem;
    padding: .4375rem .875rem;
    padding-right: 2rem;
    font-size: .8125rem;
    line-height: 1.5385;
    color: #333;
    background-color: #fff;
}
.button {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 6px 24px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}
/* #myInput {
  background-image: url('search-solid.svg');
} */
.button2 {background-color: #f44336;} 
    </style>
</head>

<body>

    <div class="artloader" ng-show="artloading">
        <div class="cssload-container">
            <div class="cssload-tube-tunnel">
                <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
            </div>
            <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
        </div>
    </div>
	<div class="page-content bgweight pt-30">
		<div class="content-wrapper">
			<div class="content">
				<div class="card card-plain">

					<div class="card-header header-elements-inline">
						<h5 class="card-title-2">Recent<span>Bookings</span></h5>
					</div>
					<div class="card-body">
					<div ng-if="value=='FLT'" id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer">
                        <div class="datatable-header">
                            <div id="DataTables_Table_0_filter" class="dataTables_filter">

                            </div>
</div>                   
 <div class="datatable-scroll" ng-if="bookingResponse.length>0">
    <table class="table datatable-basic table-striped dataTable no-footer">
    <thead>
        <tr role="row" style="    font-size: .875rem;">
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="S.No">S.No</th>
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="GDS Ref.No">GDS Ref.No</th>
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Route">Route</th>
            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Agency">Agency</th> -->
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booking Date">Booking Date</th>
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Journey Date</th>
            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="To Date">To Date</th> -->
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booked Fare">Booked Fare</th>
            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booked Fare">Ticketing Time Limit</th>
        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Status">Status</th>
        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Action">Action</th></tr>
    </thead>
    <tbody>
        <tr ng-repeat="bookingdata in bookingResponse |limitTo:10 |filter:search track by $index">
            <td>{{$index+1}}</td>
                <td>{{bookingdata.bookingRefNo}}</td>
                <td>{{bookingdata.details}} </td>
                <td>{{bookingdata.createTime | date:'dd/MM/yyyy'}}</td>
                            <td>{{bookingdata.startDate | date:'dd/MM/yyyy'}}</td>
                <td>AED {{bookingdata.actualAmount}}</td>
                <td>{{bookingdata.ticketBefore}}</td>
                <td class="text-success">{{bookingdata.status}}</td>
                <td>
                  
                    <span ng-repeat="recentBookings in bookingdata.action"class="cnl-btn" ng-show="recentBookings == 'Ticket'" ng-click="issueTicket(bookingdata.bookingRefNo)" data-toggle="tooltip" title="Issue Ticket">
                        <i class="las la-ticket-alt"></i>
                    </span>
                    <span class="cnl-btn" ng-show="bookingdata.status == 'TICKETED' || bookingdata.status == 'VOID' || bookingdata.status == 'CANCELLED'" style="    margin-left: 24px;
                    ">
                        <!-- <i class="las la-ticket-alt"></i> -->
                    </span>
                    <span class="cnl-btn" ng-click="viewDetails(bookingdata)" data-toggle="tooltip" title="View">
                        <i class="las la-eye ni"></i>
                    </span>
                <span style="    padding-left: 5px;
                padding-right: 3px;
                padding-top: 1px;
                padding-bottom: 0px;
                border-bottom: 1px solid #dddddd;" ng-repeat="recentBookings in bookingdata.action" class="" ng-show="recentBookings =='Cancel'"><a data-toggle="tooltip" title="Cancel booking" style="color:#b5262d; font-size: 11px;
    cursor: pointer;
    text-decoration: none;
    font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Cancel Ticket');"><i class="fa fa-times fa-2x"></i></a></span>
                <span  style="    padding-left: 5px;
                padding-right: 3px;
                padding-top: 1px;
                padding-bottom: 0px;
                border-bottom: 1px solid #dddddd;" ng-repeat="recentBookings in bookingdata.action" ng-show="recentBookings=='Void'"><a  data-toggle="tooltip" title="void ticket" style="color: #b5262d; font-size: 11px;
    cursor: pointer;
    text-decoration: none;
    font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Void Ticket');" ><i class="fa fa-times fa-2x"></i> </a></span>
                <!-- <td class="btn btn-sm btn-warning-custom btn-success"  id="submit" title="Issue Ticket" >
                    
                        <i class="fa fa-ticket fa-2x"></i><br> Issue
                </td> -->
                </td>
            </tr>
    </tbody>
    </table>    
    <dir-pagination-controls
        max-size="10"
        direction-links="true"
        boundary-links="true" >
    </dir-pagination-controls>
    </div>
    <div ng-if="bookingResponse.length==0">
        <h3>Booking Not Found</h3>
    </div>
                <!-- <div class="datatable-footer">
                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite" style="    font-weight: 500;">Showing 1 to 5 of 5 entries</div>
                    <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate"><a class="paginate_button previous disabled" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_previous">Previous</a><span><a class="paginate_button current" aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0">1</a></span><a class="paginate_button next disabled" aria-controls="DataTables_Table_0" data-dt-idx="2" tabindex="0" id="DataTables_Table_0_next">Next</a></div></div> -->
                </div>					
					

                <div ng-if="value=='HTL'" id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer"><div class="datatable-header"><div id="DataTables_Table_0_filter" class="dataTables_filter"></div>
</div>
<div class="datatable-scroll" ng-if="bookingResponse.length>0">
    <table class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                    <thead>
                        <tr role="row" style="    font-size: .875rem;">
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="S.No">S.No</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="GDS Ref.No">Booking Ref.No</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Route">Hotel Address</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booking Date	">Booking Date	</th>
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booking Date">Check In	</th> -->
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Journey Date">Journey Date</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booked Fare">Booked Fare	</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Status">Status</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Action">Action</th>
                        </tr>
                    </thead>
                    <tbody style="
                    
                        
                        font-size: 14px;
                        font-weight: 500;">
                        
                        
                        
                        
                        

                        <!-- <i class="las la-long-arrow-alt-right text-info"></i> CAI -->
                    <tr role="row" class="odd" ng-repeat="bookingdata in bookingResponse |limitTo:10 |filter:search track by $index">								                   
                            <td>{{$index+1}}</td>
                            <td>{{bookingdata.bookingRefNo}}</td>
                            <td>{{bookingdata.details}} </td>
                            <td>{{bookingdata.createTime | date:'dd/MM/yyyy'}}</td>
                          
                            <td>{{bookingdata.startDate | date:'dd/MM/yyyy'}}</td>

                            <td>AED {{bookingdata.actualAmount}}</td>
                            <td class="text-success">{{bookingdata.status}}</td>
                            <td style="width: 150px;">
                                <span ng-repeat="recentBookings in bookingdata.action"class="cnl-btn" ng-show="recentBookings == 'Viewss'" ng-click="issueTicket(bookingdata.bookingRefNo)" data-toggle="tooltip" title="Issue Ticket">
                                    <i class="las la-ticket-alt"></i>
                                </span>
                                <!-- <span class="cnl-btn" ng-show="bookingdata.status == 'CONFIRMED' || bookingdata.status == 'Confirmed'" ng-click="issueTicket(bookingdata.bookingRefNo)" data-toggle="tooltip" title="Issue Ticket">
                                    <i class="las la-ticket-alt"></i>
                                </span>
                                <span class="cnl-btn" ng-show="bookingdata.status == 'TICKETED'" style="margin-left: 24px;
                                "> -->
                                    <!-- <i class="las la-ticket-alt"></i> -->
                                </span>
                                <span class="cnl-btn" ng-click="viewHotelDetails(bookingdata)" data-toggle="tooltip" title="View">
                                    <i class="las la-eye ni"></i>
                                </span>
                            <span style="    padding-left: 5px;
                            padding-right: 3px;
                            padding-top: 1px;
                            padding-bottom: 0px;
                            border-bottom: 1px solid #dddddd;" class="" ng-show="bookingdata.action=='Cancel'"><a data-toggle="tooltip" title="Cancel booking" style="color:#b5262d; font-size: 11px;
                cursor: pointer;
                text-decoration: none;
                font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Cancel Ticket');"><i class="fa fa-times fa-2x"></i></a></span>
                            <span  style="    padding-left: 5px;
                            padding-right: 3px;
                            padding-top: 1px;
                            padding-bottom: 0px;
                            border-bottom: 1px solid #dddddd;" ng-show="bookingdata.action=='Void'"><a  data-toggle="tooltip" title="void ticket" style="color: #b5262d; font-size: 11px;
                cursor: pointer;
                text-decoration: none;
                font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Void Ticket');" ><i class="fa fa-times fa-2x"></i> </a></span>
                            <!-- <td class="btn btn-sm btn-warning-custom btn-success"  id="submit" title="Issue Ticket" >
                                
                                    <i class="fa fa-ticket fa-2x"></i><br> Issue
                            </td> -->
                            </td>
                        </tr></tbody>
                </table>
                <!-- <dir-pagination-controls
        max-size="10"
        direction-links="true"
        boundary-links="true" >
    </dir-pagination-controls> -->
            </div>
            <div ng-if="bookingResponse.length==0">
                <h3>Booking Not Found</h3>
            </div>
            <!-- <div class="datatable-footer">
                <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite" style="    font-weight: 500;">Showing 1 to 5 of 5 entries</div>
                <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate"><a class="paginate_button previous disabled" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_previous">Previous</a><span><a class="paginate_button current" aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0">1</a></span><a class="paginate_button next disabled" aria-controls="DataTables_Table_0" data-dt-idx="2" tabindex="0" id="DataTables_Table_0_next">Next</a></div></div> -->
            </div>	

            <div ng-if="value=='INS'" id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer"><div class="datatable-header"><div id="DataTables_Table_0_filter" class="dataTables_filter"></div>
</div><div class="datatable-scroll" ng-if="bookingResponse.length>0"><table class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                <thead>
                    <tr role="row" style="    font-size: .875rem;">
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="S.No">S.No</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="GDS Ref.No">Booking Ref.No</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Route">City</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Agency">Date of Booking	</th>
                        <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Booking Date">Policy No		</th> -->
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">Policy No			</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="To Date">Booked Fare	</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Status">Status</th>
                        <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Action">Action</th></tr>
                    </thead>
                <tbody style="
                
                    
                    font-size: 14px;
                    font-weight: 500;">
                    
                    
                    
                    
                    

                    <!-- <i class="las la-long-arrow-alt-right text-info"></i> CAI -->
                <tr role="row" class="odd" ng-repeat="bookingdata in bookingResponse | limitTo:10 |filter:search track by $index">								                   
                        <td>{{$index+1}}</td>
                        <td>{{bookingdata.bookingRefNo}}</td>
                        <td>{{bookingdata.details}} </td>
                      
                        <td>{{bookingdata.createTime | date:'dd/MM/yyyy'}}</td>
                        <!-- <td></td> -->
                        <td>{{bookingdata.clientRefNo}}</td>
                        <td>AED {{bookingdata.actualAmount}}</td>
                        <td class="text-success">{{bookingdata.status}}</td>
                        <td style="width: 150px;">
                            <span ng-repeat="recentBookings in bookingdata.action"class="cnl-btn" ng-show="recentBookings == 'Viewss'" ng-click="issueTicket(bookingdata.bookingRefNo)" data-toggle="tooltip" title="Issue Ticket">
                                <i class="las la-ticket-alt"></i>
                            </span>
                            <!-- <span class="cnl-btn" ng-show="bookingdata.status == 'CONFIRMED' || bookingdata.status == 'Confirmed'" ng-click="issueTicket(bookingdata.bookingRefNo)" data-toggle="tooltip" title="Issue Ticket">
                                <i class="las la-ticket-alt"></i>
                            </span>
                            <span class="cnl-btn" ng-show="bookingdata.status == 'TICKETED'" style="margin-left: 24px;
                            "> -->
                                <!-- <i class="las la-ticket-alt"></i> -->
                            </span>
                            <span class="cnl-btn" ng-click="InsurenceviewDetails(bookingdata)" data-toggle="tooltip" title="View">
                                <i class="las la-eye ni"></i>
                            </span>
                        <span style="    padding-left: 5px;
                        padding-right: 3px;
                        padding-top: 1px;
                        padding-bottom: 0px;
                        border-bottom: 1px solid #dddddd;" class="" ng-show="bookingdata.action=='Cancel'"><a data-toggle="tooltip" title="Cancel booking" style="color:#b5262d; font-size: 11px;
            cursor: pointer;
            text-decoration: none;
            font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Cancel Ticket');"><i class="fa fa-times fa-2x"></i></a></span>
                        <span  style="    padding-left: 5px;
                        padding-right: 3px;
                        padding-top: 1px;
                        padding-bottom: 0px;
                        border-bottom: 1px solid #dddddd;" ng-show="bookingdata.action=='Void'"><a  data-toggle="tooltip" title="void ticket" style="color: #b5262d; font-size: 11px;
            cursor: pointer;
            text-decoration: none;
            font-weight: 600;" ng-click="selectingTrvlr(bookingdata,'Void Ticket');" ><i class="fa fa-times fa-2x"></i> </a></span>
                        <!-- <td class="btn btn-sm btn-warning-custom btn-success"  id="submit" title="Issue Ticket" >
                            
                                <i class="fa fa-ticket fa-2x"></i><br> Issue
                        </td> -->
                        </td>
                    </tr></tbody>
            </table>
        </div>
        <div ng-if="bookingResponse.length==0">
            <h3>Booking Not Found</h3>
        </div>
        <!-- <div class="datatable-footer">
            <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite" style="    font-weight: 500;">Showing 1 to 5 of 5 entries</div>
            <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate"><a class="paginate_button previous disabled" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_previous">Previous</a><span><a class="paginate_button current" aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0">1</a></span><a class="paginate_button next disabled" aria-controls="DataTables_Table_0" data-dt-idx="2" tabindex="0" id="DataTables_Table_0_next">Next</a></div></div> -->
        </div>

                </div>
				</div>		
			</div>
		</div>
	</div>
    <script type="text/ng-template" id="ViewhotelBookings.html">

        <div class="artloader" ng-show="artloading">
            <div class="cssload-container">
                <div class="cssload-tube-tunnel">
                    <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
                </div>
                <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
            </div>
        </div>
        <div class="flight-details-modal v-card v-sheet theme--light v-card__text">
        <div class="modal-header v-card__title headline">
            <h5 class="modal-title" id="modal-title" style="    color: black;
                margin-top: 8px;    padding-left: 15px;">
                Booking Details
            </h5>
            <button type="button" class="close closebutton" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">×</button>
        </div>
        <div class="v-modal-body">
            <div style="margin-top: -190px;" ng-controller="hotelItenenaryontroller as htlCtrl" ng-include="'views/hotel/hotelItenenary.html'"></div>
        </div>
        <div class="v-card__actions">
            <div class="spacer">

            </div> 
            <button type="button btn" ng-click="cancel();" class="btn cls-btn">
                <span class="v-btn__content">
    
          Close
        </span></button></div>
        </div>
    
    
    </script>
    <script type="text/ng-template" id="ViewinsBookings.html">

        <div class="artloader" ng-show="artloading">
            <div class="cssload-container">
                <div class="cssload-tube-tunnel">
                    <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
                </div>
                <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
            </div>
        </div>
        <div class="flight-details-modal v-card v-sheet theme--light v-card__text">
        <div class="modal-header v-card__title headline">
            <h5 class="modal-title" id="modal-title" style="    color: black;
                margin-top: 8px;    padding-left: 15px;">
                Booking Details
            </h5>
            <button type="button" class="close closebutton" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">×</button>
        </div>
        <div class="v-modal-body">
            <div style="margin-top: -190px;" ng-controller="insuranceItenenaryController as insCtrl" ng-include="'views/insurance/insuranceItenenary.html'"></div>
        </div>
        <div class="v-card__actions">
            <div class="spacer">

            </div> 
            <button type="button btn" ng-click="cancel();" class="btn cls-btn">
                <span class="v-btn__content">
    
          Close
        </span></button></div>
        </div>
    
    
    </script>
    <script type="text/ng-template" id="ViewflightBookings.html">

        <div class="artloader" ng-show="artloading">
            <div class="cssload-container">
                <div class="cssload-tube-tunnel">
                    <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
                </div>
                <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
            </div>
        </div>
        <div class="flight-details-modal v-card v-sheet theme--light v-card__text">
        <div class="modal-header v-card__title headline">
            <h5 class="modal-title" id="modal-title" style="    color: black;
                margin-top: 8px;    padding-left: 15px;">
                Booking Details
            </h5>
            <button type="button" class="close closebutton" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">×</button>
        </div>
        <div class="v-modal-body">
            <div style="margin-top: -190px;"ng-controller="flightItenaryController as testCtrl" ng-include="'views/flight/flightItenenary.html'"></div>
        </div>
        <div class="v-card__actions">
            <div class="spacer">

            </div> <button type="button btn" ng-click="cancel();" class="btn cls-btn">
                <span class="v-btn__content">
    
          Close
        </span></button>
            <button ng-repeat="recentBookings in bookingData.action" ng-show="recentBookings == 'Ticket'" type="button btn" ng-click="issueTicket(bookingData.bookingRefNo);" class="btn cls-btn">
                <span class="v-btn__content">
    
          Issue Ticket
        </span></button>
            </div>
        </div>
    
    
    </script>

    <script type="text/ng-template" id="myTestModal.tmpl.html">
        
        
        <div class="modal-header">
            <div class="v-card__title" style="    font-size: 19px; margin-left: 11px;">{{headerTable}}</div>
            <button type="button" class="close" ng-click="close()" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
        </div>   
     
        <div class="modal-body" style="overflow:auto; height:200px;">
            <div class="v-card__text traveller-list" >
                <div>
                    <form>
                        <div class="row">
                            <div class="col-md-4 col-lg-12">
                                <label class="mb-0">Remarks</label>
                                <div>
                                    <textarea class="form-control required" placeholder="Remarks" required autocomplete="off" id="exampleFormControlTextarea1" rows="3"></textarea>
                                </div>
                            </div>
                           
                        </div>
                        <div class="" ng-show="artloadingcancellation">
                            <div class="cssload-container">
                                <div class="cssload-tube-tunnel">
                                    <img src="assets/loadingart.gif" alt="loader" class="" style="      right: 40% !important;
                                    width: 188px;
                                    margin-top: -28px;
                                    margin-left: 120px;"/>
                                </div>
                               
                            </div>
                        </div>
                        <span style="Color:red;">{{errorMesg}}</span>
                    </form>
                </div>
               
              
                

              
            </div>
        </div>
      
        <div class="modal-footer">
            <button type="submit" style="     border: 1px solid #1dace4;
            width: 104px;
            margin-top: -9px;
            margin-right: 42%;" data-dismiss="modal" class="btn btn-block btn-solid continue-book"  ng-click="ConfirmcancelTicket()"><span
                    class="v ft-sz-12">
                    Confirm
                </span></button>
        </div> 
     
     </script>


</body>
<!-- <script src="assets/js/jquery-v3.6.0/jquery-3.6.0.min.js"></script>
<script src="assets/js/owl.carousel.js"></script> -->
<script>

</script>
<style>
    .no-depent{
        color: #e65355;
    }
    .expand-brd{
        border: 0px;
    }
</style>
</html>